Bug 59216 - .src.rpm's not cached like binary .rpm's
.src.rpm's not cached like binary .rpm's
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-02 12:24 EST by Martin Flack
Modified: 2015-01-07 18:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-14 10:37:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that extends diskcache to sources and negates redundant md5 checks (4.79 KB, patch)
2002-02-03 14:03 EST, Martin Flack
no flags Details | Diff

  None (edit)
Description Martin Flack 2002-02-02 12:24:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020104

Description of problem:
up2date will cache rpm's in /var/spool/up2date, and should the download fail or
the program be aborted, the next execution does not have to download the
binaries again, but it always goes to get the source every time. This is
extremely annoying when using a slow connection and trying to get something like
a new version of XFree86 which is many megabytes.

Version-Release number of selected component (if applicable):
[root@solvent root]# rpm -qi up2date
Name        : up2date                      Relocations: (not relocateable)
Version     : 2.7.11                            Vendor: Red Hat, Inc.
Release     : 7.x.2                         Build Date: Tue 20 Nov 2001 05:09:56
PM EST
Install date: Wed 02 Jan 2002 11:19:17 PM EST      Build Host:
stripples.devel.redhat.com
Group       : System Environment/Base       Source RPM: up2date-2.7.11-7.x.2.src.rpm
Size        : 696695                           License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : Determines which system packages need to be updated via RHN.
Description :
The Red Hat Update Agent that automatically queries the Red Hat
Network servers and determines which packages need to be updated on
your machine.


How reproducible:
Always

Steps to Reproduce:
1. configure up2date to download source
2. update a number of huge packages on a slow connection
3. abort the download half-way
4. return to 2, notice that it starts all over again for source rpms


Actual Results:  Binary packages which have already been downloaded are skipped
to 100% completion right away, but source packages which have already been
downloaded are downloaded over.

Expected Results:  Both binary and source packages already downloaded should be
available.

Additional info:
On the text display it would be nice if the line showed the source package name
like it does on the binary line.
Comment 1 Martin Flack 2002-02-03 14:03:18 EST
Created attachment 44397 [details]
patch that extends diskcache to sources and negates redundant md5 checks
Comment 2 Adrian Likins 2002-02-06 17:15:54 EST
This should be fixed in the next release.
Comment 3 Jay Turner 2003-02-14 10:37:33 EST
Fix confirmed with up2date-3.1.15-7.

Note You need to log in before you can comment on or make changes to this bug.